## GstGLSL

GstGLSL — helpers for dealing with OpenGL shaders

## Functions

GQuark | gst_glsl_error_quark ()
GstGLSLProfile | gst_glsl_profile_from_string ()
const gchar * | gst_glsl_profile_to_string ()
GstGLSLVersion | gst_glsl_version_from_string ()
const gchar * | gst_glsl_version_to_string ()
gboolean | gst_glsl_version_profile_from_string ()
gchar * | gst_glsl_version_profile_to_string ()
gboolean | gst_glsl_string_get_version_profile ()
gboolean | gst_gl_context_supports_glsl_profile_version ()
GstGLSLVersion | gst_gl_version_to_glsl_version ()

## Types and Values

#define | GST_GLSL_ERROR
enum | GstGLSLError
enum | GstGLSLProfile
enum | GstGLSLVersion

## Description

## Functions

### gst_glsl_error_quark ()

    GQuark
    gst_glsl_error_quark (void);

### gst_glsl_profile_from_string ()

    GstGLSLProfile
    gst_glsl_profile_from_string (const gchar *string);

### gst_glsl_profile_to_string ()

    const gchar *
    gst_glsl_profile_to_string (GstGLSLProfile profile);

### gst_glsl_version_from_string ()

    GstGLSLVersion
    gst_glsl_version_from_string (const gchar *string);

### gst_glsl_version_to_string ()

    const gchar *
    gst_glsl_version_to_string (GstGLSLVersion version);

### gst_glsl_version_profile_from_string ()

    gboolean
    gst_glsl_version_profile_from_string (const gchar *string,
                                          GstGLSLVersion *version,
                                          GstGLSLProfile *profile);

### gst_glsl_version_profile_to_string ()

    gchar *
    gst_glsl_version_profile_to_string (GstGLSLVersion version,
                                        GstGLSLProfile profile);

### gst_glsl_string_get_version_profile ()

    gboolean
    gst_glsl_string_get_version_profile (const gchar *s,
                                         GstGLSLVersion *version,
                                         GstGLSLProfile *profile);

### gst_gl_context_supports_glsl_profile_version ()

    gboolean
    gst_gl_context_supports_glsl_profile_version
                                   (GstGLContext *context,
                                    GstGLSLVersion version,
                                    GstGLSLProfile profile);

### gst_gl_version_to_glsl_version ()

    GstGLSLVersion
    gst_gl_version_to_glsl_version (GstGLAPI gl_api,
                                    gint maj,
                                    gint min);

## Types and Values

### GST_GLSL_ERROR

    #define GST_GLSL_ERROR (gst_glsl_error_quark ())

### enum GstGLSLError

#### Members

GST_GLSL_ERROR_COMPILE |  |
GST_GLSL_ERROR_LINK |  |
GST_GLSL_ERROR_PROGRAM |  |

### enum GstGLSLProfile

#### Members

GST_GLSL_PROFILE_NONE |  |
GST_GLSL_PROFILE_ES |  |
GST_GLSL_PROFILE_CORE |  |
GST_GLSL_PROFILE_COMPATIBILITY |  |
GST_GLSL_PROFILE_ANY |  |

### enum GstGLSLVersion

#### Members

GST_GLSL_VERSION_NONE |  |
GST_GLSL_VERSION_100 |  |
GST_GLSL_VERSION_110 |  |
GST_GLSL_VERSION_120 |  |
GST_GLSL_VERSION_130 |  |
GST_GLSL_VERSION_140 |  |
GST_GLSL_VERSION_150 |  |
GST_GLSL_VERSION_300 |  |
GST_GLSL_VERSION_310 |  |
GST_GLSL_VERSION_320 |  |
GST_GLSL_VERSION_330 |  |
GST_GLSL_VERSION_400 |  |
GST_GLSL_VERSION_410 |  |
GST_GLSL_VERSION_420 |  |
GST_GLSL_VERSION_430 |  |
GST_GLSL_VERSION_440 |  |
GST_GLSL_VERSION_450 |  |
GST_GLSL_VERSION_ANY |  |

## See Also

GstGLSLStage, GstGLShader